// defines the adversor Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_ADVERSOR_TURRET_GSH
#define INCLUDED_ADVERSOR_TURRET_GSH

#include "defaults.gsh"
#include "adversorfrag.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Adversor
{
	file "units\adversor.RIF"
	name "adversor"
	hotspot "Dum Flash"
}

hierarchy Hcy_Adversor_Shadow
{
	file "units\adversor vlow.RIF"
	name "adversor vlow"
	hotspot "dum flash"
}

character Chr_Adversor : Chr_DefaultBaddie
{
	turning speed   	0.01
	walking speed   	0	// doesn't move
	weapon			enemy laser
	strength		90
	aim			0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		89	// in degrees
	sight range		15	// in metres
	hearing range		00	// in metres
	aggression		1	// from 0 to 1
	shadow hierarchy	Hcy_Adversor_Shadow
	gun yaw angle		135	// in degrees
	elevation angle 	20	// in degrees
	target cycle time	5	//how often (in seconds) the turret should change target (def=3)
	can turn		no
	vision cone		no
	always cpu controlled yes
}

// msoke trail from the barrel when firing
pgenerator Pgn_Adversor
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_Adversor : Rol_DefaultRobot
{
	pgen			Pgn_Adversor
	shape			Hcy_Adversor
	character		Chr_Adversor
	armour			2
	ai			popup
	identifier		"adversor"
	destructibility		Frg_adversor
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_ADVERSOR_GSH