// defines ARCHORE robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_ARCHORE_GSH
#define INCLUDED_ARCHORE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "grenade_launcher.gsh"
#include "defaults.gsh"
#include "archorefrag.gsh"

hierarchy Hcy_archore
{
	file "units\LOWarchore.RIF"
	name "LOWarchore"
	hotspot "dum flash"
}

//hierarchy Hcy_archoreshadow
//{
//	file "units\archore_shadow.RIF"
//	name "sneeker_archore"
//}

character Chr_archore : Chr_DefaultBaddie
{
	turning speed   0.75	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmatrix
	strength        230	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	25	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	1	// from 0 to 1
	alarm delay	4
	radius		1	// used by the movement model
//	shadow hierarchy	Hcy_archoreShadow
}

character Chr_archore_lite : Chr_DefaultBaddie
{
	turning speed   0.75	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmagnum
	strength        107	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	25	// in degrees
	sight range 	20	// in metres
	hearing range	10	// in metres
	aggression	0.75	// from 0 to 1
	alarm delay	4
	radius		1	// used by the movement model
//	shadow hierarchy	Hcy_archoreShadow
}

role Rol_archore : Rol_DefaultRobot
{
	shape		Hcy_archore

	character	Chr_archore

	identifier	"archore"

	armour	7

	ai			bot

	destructibility		Frg_archore
}
	
role Rol_archore_lite : Rol_DefaultRobot
{
	shape		Hcy_archore

	character	Chr_archore

	identifier	"archore_lite"

	armour	4

	ai			bot

	destructibility		Frg_archore
}				
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_ARCHORE_GSH
