// defines the fragmented blobarrel
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_BLOBARRELFRAG_GSH
#define INCLUDED_BLOBARRELFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_blobarrelfrag
{
	file	"objects\blobarrelfrag.rif"
	name	"blobarrelfrag"
	hotspot none
}

role Rol_blobarrelfrag : Rol_FragObject
{
	shape	   Hcy_blobarrelfrag
	identifier "blobarrelfrag"
}

frag data Frg_blobarrelfrag
{
	role Rol_blobarrelfrag
	scale 7
	blast range 4
	blast damage 20
}

shape Shp_blobarrel
{
	file "objects\blobarrel.rif"
	name "blobarrel"
}

character Chr_blobarrel : Chr_Default
{
	strength        20	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	0	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

character Chr_trainingblobarrel : Chr_Default
{
	strength        15	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	8	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}
role Rol_blobarrel : Rol_PlacedObject
{
	character	Chr_blobarrel
	shape 		Shp_blobarrel
	destructibility	 Frg_blobarrelfrag
	identifier 	"blobarrel"
	ai		blocker
	armour 		1
}
role Rol_trainingblobarrel : Rol_PlacedObject
{
	character	Chr_trainingblobarrel
	shape 		Shp_blobarrel
	destructibility	 Frg_blobarrelfrag
	identifier 	"trainingblobarrel"
	ai		blocker
	armour 		1
}
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_FRAGCRATE_GSH
