// defines Centipede
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_CENTIPEDE_GSH
#define INCLUDED_CENTIPEDE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_Centi_Body
{
	file "units\centi_body.RIF"
	name "centi_body"
	hotspot "Rforeleg"
}

hierarchy Hcy_Centi_Head
{
	file "units\centi_head.RIF"
	name "centi_head"
	hotspot "Dum Flash"
}

character Chr_Centi_Body : Chr_DefaultBaddie
{
	turning speed	0.2	// this is in revolutions per second
	walking speed	1.0	// this is in animation cycles per second
	weapon		enemy laser // needed to stop certain errors
	strength	10	// initial strength points
	aim		2	// how many degrees off target he can be at most
	sight angle	70	// in degrees
	sight range	8	// in metres
	hearing range	20	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0
	elevation angle 0
}

character Chr_Centi_Head : Chr_DefaultBaddie
{
	turning speed	0.2	// this is in revolutions per second
	walking speed	1.0	// this is in animation cycles per second
	weapon		maxim laser
	strength	40	// initial strength points
	aim		1	// how many degrees off target he can be at most
	sight angle	70	// in degrees
	sight range	8	// in metres
	hearing range	20	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	10	// in degrees
	radius		0.3
}

role Rol_Centi_Body : Rol_DefaultRobot
{
	shape		Hcy_Centi_Body

	character	Chr_Centi_Body

	identifier	"centibody"

	ai		centibody

	destructibility	Des_Explode
}

role Rol_Centi_Head : Rol_DefaultRobot
{
	shape		Hcy_Centi_Head

	character	Chr_Centi_Head

	identifier	"centipede"

	ai		centipede		// centipede AI core

	destructibility	Des_Explode
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_CENTIPEDE_GSH
