// defines DESTRUCTOR
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_DESTRUCTOR_GSH
#define INCLUDED_DESTRUCTOR_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "destructorfrag.gsh"

hierarchy Hcy_destructor
{
	file "units\destructor.RIF"
	name "destructor"
	hotspot "dumflash"
}

hierarchy Hcy_destructor_shadow
{
	file "units\Destructor_shadow.RIF"
	name "destructor_shadow"
}

character Chr_destructor : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			binary laser
	strength	60	// initial strength points
	aim             4	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	1	// from 0 to 1
	gun yaw angle	0	// in degrees
	shadow hierarchy	Hcy_destructor_shadow
	
}

role Rol_destructor : Rol_DefaultRobot
{
	shape			Hcy_destructor

	character		Chr_destructor

	identifier		"destructor"

	armour	2

	ai				bot

	destructibility		Frg_destructor

	

}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_DESTRUCTOR_GSH
