// defines Drone
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_DRONE_GSH
#define INCLUDED_DRONE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"
#include "drone_frag.gsh"

hierarchy Hcy_Drone
{
	file "units\drone.RIF"
	name "drone"
	hotspot "dum flash"
	alternate hotspot "dum flash L"

}
hierarchy Hcy_Drone_shadow
{
	file "units\drone_shadow.RIF"
	name "Drone_shadow"
}

character Chr_Drone : Chr_DefaultBaddie
{
	turning speed   0.1	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon          plasma pistol
	strength        25	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	description		drone description
	shadow hierarchy		Hcy_Drone_shadow
}

role Rol_Drone : Rol_DefaultRobot
{
	shape			Hcy_Drone
	
	character		Chr_Drone
		
	identifier		"drone"

	armour	1

	destructibility	Frg_Drone

	ai				bot
}

character Chr_TrainingDrone : Chr_DefaultBaddie
{
	turning speed   0.1	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	strength        25	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	description		drone description
	shadow hierarchy		Hcy_Drone_shadow
}

role Rol_TrainingDrone : Rol_DefaultRobot
{
	shape			Hcy_Drone
	
	character		Chr_TrainingDrone
		
	identifier		"trainingdrone"

	armour	1

	destructibility	Frg_Drone

	ai				bot
}

character Chr_TrainingDroneb : Chr_DefaultBaddie
{
	turning speed   0.1	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	strength        100	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	description		drone description
	shadow hierarchy		Hcy_Drone_shadow
}

role Rol_TrainingDroneb : Rol_DefaultRobot
{
	shape			Hcy_Drone
	
	character		Chr_TrainingDroneb
		
	identifier		"trainingdroneb"

	armour	1

	destructibility	Frg_Drone

	ai				bot
}
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_DRONE_GSH
