// defines Elint Robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_ELINT_GSH
#define INCLUDED_ELINT_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Elint
{
	file "units\elint mkii.RIF"
	name "elint mkii"
	hotspot "dum flash"
}

hierarchy Hcy_ElintShadow
{
	file "units\elint_shadow.RIF"
	name "elint_shadow"
}

hierarchy Hcy_ElintCustomize
{
	file "units\wepelint.RIF"
	name "wepelint"
}

character Chr_Elint : Chr_DefaultGoodie
{
	turning speed   1	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	strength        100	// initial strength points
	aim             0	// how many degrees off target he can be at most
	sight angle		75	// in degrees
	sight range 	12	// in metres
	hearing range	17	// in metres
	aggression		0.7	// from 0 to 1
	radius			0.5	// used by the movement model
	shadow hierarchy		Hcy_ElintShadow
	customization hierarchy Hcy_ElintCustomize
	description		elint description
	status window u	0
	status window v	337
	gun yaw angle	180
}

role Rol_Elint : Rol_DefaultRobot
{
	shape			Hcy_Elint
	character		Chr_Elint
	identifier		"ELINT"
	armour			2
	destructibility	Des_Explode
	ai				bot
	limit			8
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_ELINT_GSH