// defines the weapon Wpn_FlameThrower
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_FLAMETHROWER_GSH
#define INCLUDED_FLAMETHROWER_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_FlameThrower
{
	red             1
	green           0.5
	blue            0
	specular red	0.5
	specular green	0
	specular blue	0
	range           10
}

pgenerator Pgn_FlameThrower
{
	type explosion
	life infinite	// well, it lasts as longs as the projectile it's attached to anyway
	rate 30
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.2 green 0.1 blue 0.1 alpha 1.0
}

projectile Prj_FlameThrower
{
	gravity     no // is this missile affected by gravity
	damage      6 // in strength points
	blast       0 // proximity damage (not yet supported)
}

role Rol_FlameThrower : Rol_DefaultProjectile
{
	shape      Pgn_FlameThrower
	
	light      Lit_FlameThrower
	
	projectile Prj_FlameThrower
}

light Lit_Napalm
{
	red             1.5
	green           0.5
	blue            1
	specular red	0.5
	specular green	0
	specular blue	0
	range           12
}

pgenerator Pgn_Napalm
{
	type explosion
	life infinite	// well, it lasts as longs as the projectile it's attached to anyway
	rate 20
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.2 green 0.1 blue 0.1 alpha 1.0
}

projectile Prj_Napalm
{
	gravity     no // is this missile affected by gravity
	damage      16 // in strength points
	blast       0 // proximity damage (not yet supported)
}

role Rol_Napalm : Rol_DefaultProjectile
{
	shape      Pgn_Napalm
	
	light      Lit_Napalm
	
	projectile Prj_Napalm
}

// FLAMETHROWER
ammo
{
	weapon type		flamethrower
	ammo type		flames

	round time		0.4
	reload time		1
	life timer		1
	magazine size		100
	sound			flamethrower sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo flames ra"

	projectile		Rol_FlameThrower
	firing speed	6	// metres per second
}


ammo
{
	weapon type		flamethrower
	ammo type		napalm

	round time		0.4
	reload time		1
	life timer		1
	magazine size	100
	sound			flamethrower sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo flames ra"			// needs Command Wheel artwork and code support

	projectile		Rol_Napalm
	firing speed	10	// metres per second
}

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Flamethrower_Pickup
{
	file "objects\Flame Thrower.rif"
	name "Flame Thrower"
	hotspot none
}

character Chr_Flamethrower_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			flamethrower
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = normal weapon pickup
}

role Rol_Flamethrower_Pickup : Rol_DefaultPickup
{
	shape			Hcy_Flamethrower_Pickup

	character		Chr_Flamethrower_Pickup

	identifier		"flamethrower"

	destructibility	Des_Explode

	description		flamethrower description

	pickup name		flamethrower pickup

	limit			10
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_FLAMETHROWER_GSH