// defines a boulder which has several stages of destructibility
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_fragboulder_GSH
#define INCLUDED_fragboulder_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

//***SHAPES AND ROLES***//

// fifth set of fragbits

hierarchy Hcy_fragboulderfrag_e
{
	file	"objects\fragboulderfrag E.rif"
	name	"fragboulderfrag E"
	hotspot none
}

role Rol_fragboulderfrag_e : Rol_PlacedObject
{
	shape			Hcy_fragboulderfrag_e
	identifier		"fragboulderfrag_e"
	frag control	yes
	hit test ignore yes
}


// demolished boulder and fourth lot of frag bits

shape Shp_fragboulder_d
{
       file "objects\fragboulder D.rif"
       name "fragboulder D"
}

frag data Frg_fragboulder_d	// this creates Rol_fragboulder_d and frag bits
{
	role			Rol_fragboulderfrag_e	
	replace 		yes					// get rid of the old boulder
	scale			7
	symmetric		no
}

role Rol_fragboulder_d : Rol_PlacedObject
{
	shape			Shp_fragboulder_d
	identifier		"fragboulder_d"
	destructibility		Frg_fragboulder_d
	armour			2
	ai blocker
}

hierarchy Hcy_fragboulderfrag_d
{
	file	"objects\fragboulderfrag D.rif"
	name	"fragboulderfrag D"
	hotspot none
}

role Rol_fragboulderfrag_d : Rol_PlacedObject
{
	shape			Hcy_fragboulderfrag_d
	identifier		"fragboulderfrag_d"
	frag control	yes
	hit test ignore yes
}



// damaged boulder and third lot of frag bits

shape Shp_fragboulder_c
{
       file "objects\fragboulder C.rif"
       name "fragboulder C"
}

frag data Frg_fragboulder_c	// this creates Rol_fragboulder_c and frag bits
{
	role			Rol_fragboulderfrag_d
	replace role		Rol_fragboulder_d	
	replace 		yes					// get rid of the old boulder
	scale			7
	symmetric		no
}

role Rol_fragboulder_c : Rol_PlacedObject
{
	shape			Shp_fragboulder_c
	identifier		"fragboulder_c"
	destructibility		Frg_fragboulder_c
	armour			2
	ai blocker
}

hierarchy Hcy_fragboulderfrag_c
{
	file	"objects\fragboulderfrag C.rif"
	name	"fragboulderfrag C"
	hotspot none
}

role Rol_fragboulderfrag_c : Rol_PlacedObject
{
	shape			Hcy_fragboulderfrag_c
	identifier		"fragboulderfrag_c"
	frag control	yes
	hit test ignore yes
}





// damaged boulder and second lot of frag bits

shape Shp_fragboulder_b
{
       file "objects\fragboulder B.rif"
       name "fragboulder B"
}

frag data Frg_fragboulder_b	// this creates Rol_fragboulder_b and frag bits
{
	role			Rol_fragboulderfrag_c
	replace role		Rol_fragboulder_c
	replace 		yes					// get rid of the old boulder
	scale			7
	symmetric		no
}

role Rol_fragboulder_b : Rol_PlacedObject
{
	shape			Shp_fragboulder_b
	identifier		"fragboulder_b"
	destructibility		Frg_fragboulder_b
	armour			2
	ai blocker
}

hierarchy Hcy_fragboulderfrag_b
{
	file	"objects\fragboulderfrag B.rif"
	name	"fragboulderfrag B"
	hotspot none
}

role Rol_fragboulderfrag_b : Rol_PlacedObject
{
	shape			Hcy_fragboulderfrag_b
	identifier		"fragboulderfrag_b"
	frag control	yes
	hit test ignore yes
}




// damaged boulder and first lot of frag bits

shape Shp_fragboulder_a
{
       file "objects\fragboulder A.rif"
       name "fragboulder A"
}

frag data Frg_fragboulder_a	// this creates Rol_fragboulder_a and frag bits
{
	role			Rol_fragboulderfrag_b	
	replace role		Rol_fragboulder_b
	replace 		yes					// get rid of the old boulder
	scale			7
	symmetric		no
}

role Rol_fragboulder_a : Rol_PlacedObject
{
	shape			Shp_fragboulder_a
	identifier		"fragboulder_a"
	destructibility		Frg_fragboulder_a
	armour			2
	ai blocker
}

hierarchy Hcy_fragboulderfrag_a
{
	file	"objects\fragboulderfrag A.rif"
	name	"fragboulderfrag A"
	hotspot none
}

role Rol_fragboulderfrag_a : Rol_PlacedObject
{
	shape			Hcy_fragboulderfrag_a
	identifier		"fragboulderfrag_a"
	frag control	yes
	hit test ignore yes
}



// the whole boulder

shape Shp_fragboulder
{
       file "objects\fragboulder.rif"
       name "fragboulder"
}

frag data Frg_fragboulder	// this creates Rol_fragboulder_a and frag bits
{
	role			Rol_fragboulderfrag_a
	replace role		Rol_fragboulder_a
	replace 		yes					// get rid of the old boulder
	scale			7
	symmetric		no
}

role Rol_fragboulder : Rol_PlacedObject
{
	shape			Shp_fragboulder
	identifier		"fragboulder"
	destructibility		Frg_fragboulder
	armour			2
	ai blocker
}


////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_WALL_MULTIFRAG_GSH
