// defines Frend robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_FREND_GSH
#define INCLUDED_FREND_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Frend
{
	file "units\frend mkii.RIF"
	name "frend mkii"
	hotspot "Dum Flash"
}

hierarchy Hcy_FrendCustomize
{
	file "units\wepfrend.RIF"
	name "wephardrok"
}

hierarchy Hcy_FrendShadow
{
	file "units\frend_shadow.RIF"
	name "frend_shadow"
}

character Chr_Frend : Chr_DefaultGoodie
{
	turning speed   0.75	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	strength        150	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle		75	// in degrees
	sight range 	8	// in metres
	hearing range	16	// in metres
	aggression	0.9	// from 0 to 1
	radius		1	// used by the movement model
	gun yaw angle	180	// in degrees
	customization hierarchy Hcy_FrendCustomize
	shadow hierarchy		Hcy_FrendShadow
	description	frend description
	status window u	339
	status window v	0
}

role Rol_Frend : Rol_DefaultRobot
{
	shape		Hcy_Frend
	character	Chr_Frend
	identifier	"FREND"
	armour		4
	destructibility	Des_Explode
	ai			bot
//	sever point "upper arm right,upper arm left,thigh left,thigh right"
	limit		4
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_FREND_GSH