// defines the weapon Wpn_GrenadeLauncher
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_GRENADE_LAUNCHER_GSH
#define INCLUDED_GRENADE_LAUNCHER_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_Grenade
{
	red             10
	green           10
	blue            10
	specular red	5
	specular green	5
	specular blue	5
	range           256
}

pgenerator Pgn_Grenade
{
	type smoke
	life infinite	// well, it lasts as longs as the projectile it's attached to anyway
	rate 10
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
	// scale
	start scale 0.1	end scale 2.0
	spin 10000
}

shape Shp_Grenade
{
	file "objects\grenade.rif"
	name "grenade"
}

projectile Prj_Grenade
{
	gravity		yes // is this missile affected by gravity
	damage		17 // in strength points
	blast		17 // proximity damage
	blast range	3 // in metres
	hit_light	Lit_Grenade	// just for the explosion
	sound		grenade sound
}

projectile Prj_Grenade_Plus
{
	gravity		yes // is this missile affected by gravity
	damage		22 // in strength points
	blast		22 // proximity damage
	blast range	3 // in metres
	hit_light	Lit_Grenade	// just for the explosion
	sound		grenade sound
}

role Rol_Grenade : Rol_DefaultProjectile
{
	pgen		Pgn_Grenade

	shape		Shp_Grenade

	projectile	Prj_Grenade

	limit		256				
}

role Rol_Grenade_Plus : Rol_DefaultProjectile
{
	pgen		Pgn_Grenade

	shape		Shp_Grenade

	projectile	Prj_Grenade_Plus

	limit		256				
}

// GRENADE LAUNCHER
ammo
{
	weapon type		enemy grenade launcher
	ammo type		grenade basic

	round time		10
	reload time		5
	life timer		0
	magazine size		5
	sound			grenade launcher sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo gren ra"

	projectile		Rol_Grenade // what it fires
	firing speed		15 // m/s
}
ammo
{
	weapon type		grenade launcher
	ammo type		grenade basic

	round time		2
	reload time		2
	life timer		0
	magazine size	5
	sound			grenade launcher sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo gren ra"

	projectile		Rol_Grenade // what it fires
	firing speed	15 // m/s
}
ammo
{
	weapon type		grenade launcher
	ammo type		grenade plus

	round time		3
	reload time		3
	life timer		0
	magazine size	5
	sound			grenade launcher sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo gren rb"

	projectile		Rol_Grenade_Plus // what it fires
	firing speed	15 // m/s
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_GrenadeLauncher_Pickup
{
	file "objects\grenade launcher pickup a.rif"
	name "grenade launcher pickup a"
}

hierarchy Hcy_GrenadeLauncher_Inventory_Pickup
{
	file "objects\grenade launcher.rif"
	name "grenade launcher"
	hotspot none
}

character Chr_GrenadeLauncher_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			grenade launcher
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_GrenadeLauncher_Pickup : Rol_DefaultPickup
{
	shape			Shp_GrenadeLauncher_Pickup

	inventory shape	Hcy_GrenadeLauncher_Inventory_Pickup

	character		Chr_GrenadeLauncher_Pickup

	identifier		"grenade_launcher"

	destructibility	Des_Explode

	armour			25

	limit			10

	description		GL_DESCRIPTION_GRENADE_LAUNCHER

	pickup name		grenade launcher pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_GRENADE_LAUNCHER_GSH