// defines Grover
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_GROVER_GSH
#define INCLUDED_GROVER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_Grover
{
	file "units\grover.RIF"
	name "bolter + claw"
	hotspot "dum flash"
}

character Chr_Grover : Chr_DefaultBaddie
{
	turning speed   0.625	// this is in revolutions per second
	walking speed   1.2	// this is in animation cycles per second
	weapon          Wpn_RedLaser
	strength        10	// initial strength points
	aim             4	// how many degrees off target he can be at most
	sight angle	80	// in degrees
	sight range 	8	// this is actually (range in metres) squared
	hearing range	16	// again, this value has been squared
	aggression	0.6	// from 0 to 1
}

role Rol_Grover : Rol_DefaultRobot
{
	shape			Hcy_Grover
	character		Chr_Grover
	identifier		"grover"
	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_GROVER_GSH
