// defines GunLok Robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_GUNLOK_GSH
#define INCLUDED_GUNLOK_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_GunLok
{
	file "units\gunlok mkii.RIF"
	name "gunlok mkii"
	hotspot "dum flash"
}

hierarchy Hcy_GunLokShadow
{
	file "units\gunlok_shadow.RIF"
	name "gunlok_shadow"
}

hierarchy Hcy_GunLokCustomize
{
	file "units\wepgunlok.RIF"
	name "wepgunlok"
}

character Chr_GunLok : Chr_DefaultGoodie
{
	turning speed   1	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	strength        130	// initial strength points
	aim             0	// how many degrees off target he can be at most
	sight angle	75	// in degrees
	sight range 	12	// in metres (i've doubled this for a test)
	hearing range	17	// in metres
	gun yaw angle	175	// in degrees
	damage multiplier	1.5
	aggression		0.7	// from 0 to 1
	radius			0.5	// used by the movement model
	customization hierarchy Hcy_GunLokCustomize
	shadow hierarchy	Hcy_GunLokShadow
	description		gunlok description
	status window u	0
	status window v	674
}

role Rol_GunLok : Rol_DefaultRobot
{
	shape			Hcy_GunLok
	character		Chr_GunLok
	identifier		"GUNLOK"
	armour			3
	destructibility	Des_Explode
	ai				bot
	limit			1
}

///////////////////////////////////////////////////////////////

// Gunlok's energy weapon (for first person mode)

pgenerator Pgn_Gunlok_Energy_Weapon
{
	type explosion
	life infinite // well actually until the shot no longer exists
	particle TTL 0.8
	rate 50
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.59 green 0.20 blue 0.96 alpha 0.5
	// scale
	start scale 1 end scale 0.1
	spin 10000
}

projectile Prj_Gunlok_Energy_Weapon
{
	gravity		no
	damage		50
	blast		10
	max range	10000
}

role Rol_Gunlok_Energy_Weapon : Rol_DefaultProjectile
{
	shape		Pgn_Gunlok_Energy_Weapon

	projectile	Prj_Gunlok_Energy_Weapon

	identifier	"gunlok_power"

	light		Lit_PurplePlasma
}
	
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_GUNLOK_GSH