// defines Hark robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_HARK_GSH
#define INCLUDED_HARK_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Hark
{
	file "units\hark mkii.RIF"
	name "hark mkii"
	hotspot "dum flash"
}

hierarchy Hcy_HarkCustomize
{
	file "units\wephark.RIF"
	name "wepslix"
}

hierarchy Hcy_HarkShadow
{
	file "units\hark_shadow.RIF"
	name "hark_shadow"
}

character Chr_Hark : Chr_DefaultGoodie
{
	turning speed   1.4	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	strength        100	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle	89	// in degrees
	sight range 	18	// in metres
	hearing range	19	// in metres
	aggression		0.5	// from 0 to 1
	customization hierarchy Hcy_HarkCustomize
	shadow hierarchy		Hcy_HarkShadow
	radius			0.5
	description	hark description
	status window u	339
	status window v	337
	gun yaw angle	180
}

role Rol_Hark : Rol_DefaultRobot
{
	shape		Hcy_Hark
	character	Chr_Hark
	identifier	"HARK"
	armour		1
	destructibility Des_Explode
	ai			bot
//	sever point "upper arm left,upper arm right,neck"
	limit		2
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_HARK_GSH