// defines the interface arms
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_INTERFACE_DEVICE_GSH
#define INCLUDED_INTERFACE_DEVICE_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_InterfaceBeam
{
	red             0.2
	green           0.2
	blue            0.7
	specular red	0.5
	specular green	0.5
	specular blue	0.7
	range           3
}

pgenerator Pgn_InterfaceBeam
{
	type fire
	life infinite // well actually until the shot no longer exists
	particle TTL 0.15
	rate 20
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.3 green 0.3 blue 1 alpha 0.5
	start scale 0.4 end scale 0.01
}

projectile Prj_InterfaceBeam
{
	gravity		no	// is this missile affected by gravity
	damage		0	// in strength points
	blast		0	// proximity damage (not yet supported)
	max range	10	// in metres
}

role Rol_InterfaceBeam : Rol_DefaultProjectile
{
	shape      Pgn_InterfaceBeam

	light      Lit_InterfaceBeam

	projectile Prj_InterfaceBeam

	identifier "interface_beam"
}

/////////////////////////////////////////////////////////////////////////////////

// interface BEAM
ammo
{
	weapon type		interface arm  //interface arm
	ammo type		none needed

	round time		0.1
	reload time		2
	life timer		0
	magazine size	100
	sound			laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo screwdriver ra"

	projectile		Rol_InterfaceBeam	// what it fires
	firing speed	5 		// m/s
}


/////////////////////////////////////////////////////////////////////////////////

shape Shp_InterfaceArm_Pickup
{
	file "objects\SCREWDRIVER PICKUP A.rif"
	name "SCREWDRIVER PICKUP A"
}

hierarchy Hcy_InterfaceArm_Inventory_Pickup
{
	file "objects\Screwdriver.rif"
	name "Screwdriver"
	hotspot none
}

character Chr_InterfaceArm_Pickup : Chr_Default
{
	turning speed   0
	walking speed   0
	weapon		interface arm  //interface arm
	strength        10		// initial strength points
	aim		0
	aggression	0.41		// 4 = weapon pickup
}

role Rol_InterfaceArm_Pickup : Rol_DefaultPickup
{
	shape			Shp_InterfaceArm_Pickup

	inventory shape	Hcy_InterfaceArm_Inventory_Pickup

	character		Chr_InterfaceArm_Pickup

	identifier		"interface_arm"

	destructibility		Des_Explode

	armour			25

	description		GL_DESCRIPTION_INTERFACE_ARM

	pickup name		interface arm pickup

	limit			7
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_INTERFACE_DEVICE_GSH