// defines the weapon Wpn_GoodieLaser
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_LASERS_GSH
#define INCLUDED_LASERS_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_BlueLaser
{
	red             0
	green           1.5
	blue            7.5
	specular red	0
	specular green	0
	specular blue	1
	range           10
}

light Lit_RedLaser
{
	red             7.5
	green           0
	blue            1.5
	specular red	1
	specular green	0
	specular blue	0
	range           10
}

light Lit_GreenLaser
{
	red             0
	green           7.5
	blue            1.5
	specular red	0
	specular green	0.6
	specular blue	0
	range           10
}

light Lit_YellowLaser
{
	red				6
	green			6
	blue			0
	specular red	0.6
	specular green	0.6
	specular blue	0
	range			6
}

light Lit_PurpleLaser
{
	red				1.22
	green			0.24
	blue			3.86
	specular red	0.59
	specular green	0.07
	specular blue	0.96
	range			10
}

light Lit_LtBlueLaser
{
	red				2.03
	green			2.50
	blue			2.97
	specular red	0.61
	specular green	0.78
	specular blue	0.99
	range			10
}

pgenerator Pgn_YellowLaser
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 150
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 1 green 1 blue 0.5 alpha 1
	start scale 0.2 end scale 0.1

}

pgenerator Pgn_GreenLaser
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 150
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0 green 1 blue 0 alpha 1
	start scale 0.3 end scale 0.1

}

pgenerator Pgn_GreenLaserPlus
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 150
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.4 green 1 blue 0 alpha 1
	start scale 0.3 end scale 0.1

}


pgenerator Pgn_PurpleLaser
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 150
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.59 green 0.20 blue 0.96 alpha 1
	start scale 0.4 end scale 0.1

}

pgenerator Pgn_PurpleLaserb
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 150
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.7 green 0.4 blue 0.96 alpha 1
	start scale 0.4 end scale 0.1

}

pgenerator Pgn_LtBlueLaser
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 150
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.31 green 0.48 blue 1 alpha 1
	start scale 0.4 end scale 0.2

}

pgenerator Pgn_OrangeLaser
{
	type laser trail
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 100
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 1 green 0.6 blue 0.2 alpha 1
	start scale 0.2 end scale 0.1
}

projectile Prj_NoGravLaser
{
	gravity		no	// is this missile affected by gravity
	damage		12	// in strength points
	blast		0	// proximity damage (not yet supported)
	max range	1600	// distance squared, in metres
}

projectile Prj_Laser
{
	gravity		no // is this missile affected by gravity
	damage		12 // in strength points
	blast		0 // proximity damage (not yet supported)
	max range	1600	// distance squared, in metres
}

projectile Prj_EnemyLaser
{
	gravity		no // is this missile affected by gravity
	damage		25 // in strength points
	blast		0 // proximity damage (not yet supported)
	max range	1600	// distance squared, in metres
}

projectile Prj_Laser_Plus
{
	gravity		no // is this missile affected by gravity
	damage		18 // in strength points
	blast		0 // proximity damage (not yet supported)
	max range	1600	// distance squared, in metres
}

role Rol_RedLaser_Basic : Rol_DefaultProjectile
{
	shape		Pgn_PurpleLaser

	light		Lit_RedLaser

	projectile	Prj_Laser

	identifier	"redlaser_beam"

	limit		4
}
role Rol_EnemyRedLaser_Basic : Rol_DefaultProjectile
{
	shape		Pgn_PurpleLaser

	light		Lit_RedLaser

	projectile	Prj_EnemyLaser

	identifier	"enemyredlaser_beam"

	limit		4
}
role Rol_RedLaser_Plus : Rol_DefaultProjectile
{
	shape		Pgn_PurpleLaserb

	light      Lit_RedLaser

	projectile Prj_Laser_Plus

	identifier "redlaser_beam"

	limit		4
}

role Rol_GreenLaser_Basic : Rol_DefaultProjectile
{
	shape		Pgn_GreenLaser

	light		Lit_GreenLaser

	projectile	Prj_Laser

	identifier	"greenlaser_beam"

	limit		4
}

role Rol_GreenLaser_Plus : Rol_DefaultProjectile
{
	shape		Pgn_GreenLaserPlus

	light		Lit_GreenLaser

	projectile	Prj_Laser_Plus

	identifier	"greenlaser_beam"

	limit		4
}

role Rol_BlueLaser_Basic : Rol_DefaultProjectile
{
	shape		Pgn_OrangeLaser

	light		Lit_YellowLaser

	projectile	Prj_Laser

	identifier	"bluelaser_beam"

	limit		4
}

role Rol_BlueLaser_Plus : Rol_DefaultProjectile
{
	shape		Pgn_YellowLaser

	light		Lit_YellowLaser

	projectile	Prj_Laser_Plus

	identifier	"bluelaser_beam"

	limit		4
}

role Rol_YellowLaser : Rol_DefaultProjectile
{
	shape		Pgn_YellowLaser

	light		Lit_YellowLaser

	projectile	Prj_Laser

	identifier	"yellowlaser_beam"

	limit		4
}

role Rol_PurpleLaser : Rol_DefaultProjectile
{
	shape		Pgn_PurpleLaser

	light		Lit_PurpleLaser

	projectile	Prj_Laser

	identifier	"purplelaser_beam"

	limit		4
}

role Rol_LtBlueLaser : Rol_DefaultProjectile
{
	shape		Pgn_LtBlueLaser

	light		Lit_LtBlueLaser

	projectile	Prj_Laser

	identifier	"ltbluelaser_beam"

	limit		4
}

role Rol_NoGrav_RedLaser : Rol_DefaultProjectile
{
	shape		Pgn_PurpleLaser

	light		Lit_RedLaser

	projectile	Prj_NoGravLaser

	identifier	"antigrav_laser_beam"

	limit		4
}

/////////////////////////////////////////////////////////////////////////////////

// ENEMY LASER
ammo
{
	weapon type		enemy laser
	ammo type		battery basic

	round time		0.5
	reload time		1
	life timer		0
	magazine size	10
	sound			laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo laser ra"

	projectile		Rol_EnemyRedLaser_Basic	// what it fires
	firing speed	25 				// m/s
}

// LASER
ammo
{
	weapon type		laser
	ammo type		battery basic

	round time		1
	reload time		2
	life timer		0
	magazine size	10
	sound			laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo laser ra"

	projectile		Rol_BlueLaser_Basic	// what it fires
	firing speed	30 				// m/s
}
ammo
{
	weapon type		laser
	ammo type		battery plus

	round time		1
	reload time		2
	life timer		0
	magazine size	10
	sound			laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo laser rb"

	projectile		Rol_BlueLaser_Plus	// what it fires
	firing speed	30 				// m/s
}

// BINARY LASER
ammo
{
	weapon type		binary laser
	ammo type		battery basic

	round time		0.3
	reload time		2
	life timer		0
	magazine size		10
	salvo size		2
	sound			binary laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo binary ra"

	projectile		Rol_GreenLaser_Basic	// what it fires
	firing speed		30 			// m/s
}
ammo
{
	weapon type		binary laser
	ammo type		battery plus

	round time		0.3
	reload time		2
	life timer		0
	magazine size		10
	salvo size		2
	sound			binary laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo binary rb"

	projectile		Rol_GreenLaser_Plus	// what it fires
	firing speed		30 			// m/s
}

// MAXIM LASER
ammo
{
	weapon type		maxim laser
	ammo type		battery basic

	round time		0.25
	reload time		2
	life timer		0
	magazine size		10
	sound			maxim laser sound
	salvo size		4

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo maxim ra"

	projectile		Rol_RedLaser_Basic	// what it fires
	firing speed		30 			// m/s
}
ammo
{
	weapon type		maxim laser
	ammo type		battery plus

	round time		0.25
	reload time		2
	life timer		0
	magazine size		10
	sound			maxim laser sound
	salvo size		5

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo maxim rb"

	projectile		Rol_RedLaser_Plus	// what it fires
	firing speed		30 			// m/s
}

/////////////////////////////////////////////////////////////////////////////////

shape Shp_MaximLaser_Pickup
{
	file "objects\maxim laser pickup a.rif"
	name "maxim laser pickup a"
}

hierarchy Hcy_MaximLaser_Inventory_Pickup
{
	file "objects\maxim laser.rif"
	name "maxim laser"
	hotspot none
}

character Chr_MaximLaser_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			maxim laser
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_MaximLaser_Pickup : Rol_DefaultPickup
{
	shape			Shp_MaximLaser_Pickup

	inventory shape	Hcy_MaximLaser_Inventory_Pickup

	character		Chr_MaximLaser_Pickup

	identifier		"maxim_laser"

	destructibility	Des_Explode

	armour			25

	limit			2

	description		GL_DESCRIPTION_MAXIM_LASER

	pickup name		maxim laser pickup
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_BinaryLaser_Pickup
{
	file "objects\binary laser pickup a.rif"
	name "binary laser pickup a"
}

hierarchy Hcy_BinaryLaser_Inventory_Pickup
{
	file "objects\binary laser.rif"
	name "binary laser"
	hotspot none
}

character Chr_BinaryLaser_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			binary laser
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_BinaryLaser_Pickup : Rol_DefaultPickup
{
	shape			Shp_BinaryLaser_Pickup

	inventory shape	Hcy_BinaryLaser_Inventory_Pickup

	character		Chr_BinaryLaser_Pickup

	identifier		"binary_laser"

	destructibility	Des_Explode

	armour			25

	description		GL_DESCRIPTION_BINARY_LASER

	pickup name		binary laser pickup
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_Laser_Pickup
{
	file "objects\laser pickup a.rif"
	name "laser pickup a"
}

hierarchy Hcy_Laser_Inventory_Pickup
{
	file "objects\laser.rif"
	name "laser"
	hotspot none
}

character Chr_Laser_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			laser
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_Laser_Pickup : Rol_DefaultPickup
{
	shape			Shp_Laser_Pickup

	inventory shape	Hcy_Laser_Inventory_Pickup

	character		Chr_Laser_Pickup

	identifier		"laser"

	destructibility	Des_Explode

	armour 			25

	description		GL_DESCRIPTION_LASER

	pickup name		laser pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_LASERS_GSH