// defines LOB
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_LOB_GSH
#define INCLUDED_LOB_GSH

////////////////////////////////////////////////////////////////////////////////////
#include "defaults.gsh"
#include "lasers.gsh"
#include "lobfrag.gsh"
hierarchy Hcy_Lob
{
	file "units\LOWlob.RIF"
	name "lowlob"
	hotspot "dumflash"
}

hierarchy Hcy_HighPoly_Lob
{
	file "units\Lob.RIF"
	name "lob"
	hotspot "dumflash"
}

hierarchy Hcy_Lob_Shadow
{
	file "units\lob_shadow.RIF"
	name "lob_shadow"
}

character Chr_Lob : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			grenade launcher
	strength        30	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	25	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	//description		claw description
	shadow hierarchy	Hcy_Lob_Shadow
}

role Rol_Lob : Rol_DefaultRobot
{
	//shape				Hcy_Lob

	shape		Hcy_HighPoly_Lob

	character			Chr_Lob

	destructibility Frg_lob

	identifier			"lob"

	armour	2

	ai					bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_LOB_GSH