// defines Mine
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_MINE_GSH
#define INCLUDED_MINE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Decoy
{
	file "objects\audio decoy.RIF"
	name "audio decoy"
}

shape Shp_Mine
{
	file "objects\mine.RIF"	// temporary
	name "mine"			// temporary
}

shape Shp_Mineremote
{
	file "objects\mineheavy.RIF"	// temporary
	name "mineheavy"			// temporary
}

shape Shp_Minetimed
{
	file "objects\mineplus.RIF"	// temporary
	name "mineplus"			// temporary
}

hierarchy Hcy_enemy_mine
{
	file "objects\enemy_mine.rif"
	name "enemy_mine"
}

character Chr_enemy_mine : Chr_DefaultBaddie
{
	turning speed   0	// doesn't turn
	walking speed   0	// doesn't move
	strength        2	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle	60	// in degrees
	sight range 	5	// in metres
	hearing range	1	// in metres
	aggression	1	// from 0 to 1
	weapon		standard mine
	vision cone		no
	always cpu controlled yes
}

character Chr_Decoy : Chr_DefaultBaddie
{
	turning speed   0	// doesn't turn
	walking speed   0	// doesn't move
	strength        2	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle	60	// in degrees
	sight range 	5	// in metres
	hearing range	5	// in metres
	aggression	1	// from 0 to 1
	weapon		decoy mine
	vision cone		no
	always cpu controlled yes
}

character Chr_Mine : Chr_DefaultBaddie
{
	turning speed   0	// doesn't turn
	walking speed   0	// doesn't move
	strength        2	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle	60	// in degrees
	sight range 	5	// in metres
	hearing range	5	// in metres
	aggression	1	// from 0 to 1
	weapon		standard mine
	vision cone		no
	always cpu controlled yes
}

character Chr_Timed_Mine : Chr_DefaultBaddie
{
	turning speed   0	// doesn't turn
	walking speed   0	// doesn't move
	strength        2	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle	60	// in degrees
	sight range 	5	// in metres
	hearing range	5	// in metres
	aggression	1	// from 0 to 1
	weapon		timed mine
	vision cone		no
	always cpu controlled yes
}

character Chr_Remote_Mine : Chr_DefaultBaddie
{
	turning speed   0	// doesn't turn
	walking speed   0	// doesn't move
	strength        2	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle	60	// in degrees
	sight range 	5	// in metres
	hearing range	5	// in metres
	aggression	1	// from 0 to 1
	weapon		remote mine
	vision cone		no
	always cpu controlled yes
}

role Rol_enemy_mine : Rol_DefaultRobot
{
	shape		Hcy_enemy_mine

	character	Chr_enemy_mine

	identifier	"enemy_mine"

	ai		mine

	limit		40	// damage done

	destructibility	Des_Explode

	status display	no
}

role Rol_Decoy : Rol_DefaultRobot
{
	shape		Hcy_Decoy

	character	Chr_Decoy

	identifier	"decoy"

	ai		mine

	status display	no
}

role Rol_Mine : Rol_DefaultRobot
{
	shape		Shp_Mine

	character	Chr_Mine

	identifier	"mine"

	ai		mine

	limit		112	// damage done

	destructibility	Des_Explode

	status display	no
}

role Rol_Timed_Mine : Rol_DefaultRobot
{
	shape		Shp_Minetimed

	character	Chr_Timed_Mine

	identifier	"timed_mine"

	ai		mine

	limit		112	// damage done

	destructibility	Des_Explode
}

role Rol_Remote_Mine : Rol_DefaultRobot
{
	shape		Shp_Mineremote

	character	Chr_Remote_Mine

	identifier	"remote_mine"

	ai		mine

	limit		112	// damage done

	destructibility	Des_Explode
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_MINE_GSH