// defines the weapon Wpn_MissileLauncher
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_MISSILE_LAUNCHER_GSH
#define INCLUDED_MISSILE_LAUNCHER_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_Missile
{
	red             10
	green           10
	blue            10
	specular red	5
	specular green	5
	specular blue	5
	range           256
}

pgenerator Pgn_Missile
{
	type smoke
	life infinite	// well, it lasts as longs as the projectile it's attached to anyway
	rate 10
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.5
	// scale
	start scale 0.1	end scale 2.0
	spin 10000
}

shape Shp_Missile
{
	file "objects\missile.rif"
	name "missile"
}

shape Shp_Missile_Plus
{
	file "objects\missile plus.rif"
	name "missile plus"
}

projectile Prj_Missile
{
	gravity		yes // is this missile affected by gravity
	damage		23 // in strength points
	blast		23 // proximity damage (not yet supported)?
	blast range	3
	hit_light	Lit_Missile	// just for the explosion
	sound		grenade sound
	max range	4000
}

projectile Prj_Missile_Plus
{
	gravity		no // is this missile affected by gravity
	damage		27 // in strength points
	blast		25 // proximity damage (not yet supported)?
	blast range	3
	hit_light	Lit_Missile	// just for the explosion
	sound		grenade sound
	max range	4000
}

role Rol_Missile : Rol_DefaultProjectile
{
	pgen		Pgn_Missile

	shape		Shp_Missile

	projectile	Prj_Missile

	identifier	"missile"

	limit		256		//Bang
}

role Rol_Missile_Plus : Rol_DefaultProjectile
{
	pgen		Pgn_Missile

	shape		Shp_Missile_Plus

	projectile	Prj_Missile_Plus

	identifier	"missile plus"

	limit		320			// homing(64) + Bang (256)
}

// MISSILE LAUNCHER
ammo
{
	weapon type		missile launcher
	ammo type		missile basic

	round time		4
	reload time		5
	life timer		0
	magazine size		5
	sound			grenade launcher sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo miss ra"

	projectile		Rol_Missile // what it fires
	firing speed	25 // m/s
}
ammo
{
	weapon type		missile launcher
	ammo type		missile plus

	round time		4
	reload time		5
	life timer		0
	magazine size		1
	sound			grenade launcher sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo miss rb"

	projectile		Rol_Missile_Plus // what it fires
	firing speed	15 // m/s
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_MissileLauncher_Pickup
{
	file "objects\missile launcher pickup a.rif"
	name "missile launcher pickup a"
}

hierarchy Hcy_MissileLauncher_Inventory_Pickup
{
	file "objects\missile launcher.rif"
	name "missile launcher"
	hotspot none
}

character Chr_MissileLauncher_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			missile launcher
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_MissileLauncher_Pickup : Rol_DefaultRobot
{
	shape			Shp_MissileLauncher_Pickup

	inventory shape	Hcy_MissileLauncher_Inventory_Pickup

	character		Chr_MissileLauncher_Pickup

	identifier		"missile_launcher"

	destructibility	Des_Explode

	ai				pickup

	armour			25

	limit			11

	description		missile launcher description

	pickup name		missile launcher pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_MISSILE_LAUNCHER_GSH