// defines the weapon Wpn_Nanofrag
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_NANOFRAG_GSH
#define INCLUDED_NANOFRAG_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

light Lit_Nanofrag
{
	red             4
	green           5
	blue            3
	specular red	0.3
	specular green	0.4
	specular blue	0.2
	range           64
}

pgenerator Pgn_Nanofrag
{
	type smoke
	life infinite	// well, it lasts as longs as the projectile it's attached to anyway
	rate 40
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.2 green 0.3 blue 0.1 alpha 0.7
}

projectile Prj_Nanofrag
{
	gravity		yes // is this missile affected by gravity
	damage		99 // in strength points
	blast damage	99 // proximity damage
	blast range	12 // in metres
	hit_light	Lit_Nanofrag	// just for the explosion
	sound		grenade sound
}

role Rol_Nanofrag : Rol_DefaultProjectile
{
	pgen		Pgn_Nanofrag

	projectile	Prj_Nanofrag

	limit		16
}

// NANOFRAG
ammo
{
	weapon type		nanofrag
	ammo type		nanotech dismantler

	round time		4
	reload time		5
	life timer		0
	magazine size		5
	sound			grenade launcher sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo nano ra"

	projectile		Rol_Nanofrag // what it fires
	firing speed	40 // m/s
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_Nanofrag_Pickup
{
	file "objects\nanofrag pickup a.rif"
	name "nanofrag pickup a"
}

hierarchy Hcy_Nanofrag_Inventory_Pickup
{
	file "objects\nanofrag.rif"
	name "nanofrag"
	hotspot none
}

character Chr_Nanofrag_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			nanofrag
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_Nanofrag_Pickup : Rol_DefaultPickup
{
	shape			Shp_Nanofrag_Pickup

	inventory shape	Hcy_Nanofrag_Inventory_Pickup

	character		Chr_Nanofrag_Pickup

	identifier		"nanofrag"

	destructibility	Des_Explode

	armour			25

	limit			2

	description		nanofrag description

	pickup name		nanofrag pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_NANOFRAG_GSH