// defines the obliteron Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_OBLITERON_TURRET_GSH
#define INCLUDED_OBLITERON_TURRET_GSH

#include "defaults.gsh"
#include "lasers.gsh"
#include "obliteronfrag.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Obliteron
{
	file "units\obliteron.RIF"
	name "obliteron"
	hotspot "Dum Flash"
}

hierarchy Hcy_Obliteron_Shadow
{
	file "units\Obliteron vlow.RIF"
	name "Obliteron vlow"
	hotspot "dum flash"
}

character Chr_Obliteron : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			epulsar
	strength		89
	aim				0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		89	// in degrees
	sight range		10	// in metres
	hearing range		0	// in metres
	shadow hierarchy	Hcy_Obliteron_Shadow
	aggression		1	// from 0 to 1
	gun yaw angle	90	// in degrees
	elevation angle 20	// in degrees
	can turn		no
	vision cone		no
	always cpu controlled yes
}

// smoke trail from the barrel when firing
pgenerator Pgn_Obliteron
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_Obliteron : Rol_DefaultRobot
{
	pgen			Pgn_Obliteron
	shape			Hcy_Obliteron
	character		Chr_Obliteron
	armour			5
	ai			popup
	identifier		"Obliteron"
	destructibility		Frg_obliteron
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_Obliteron_GSH