// defines the PC chips (mission objective in level 5)
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_PC_CHIPS_GSH
#define INCLUDED_PC_CHIPS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_PC_Chip_A
{
	file "objects\pc chip a.RIF"
	name "pc chip a"
}

shape Shp_PC_Chip_B
{
	file "objects\pc chip b.RIF"
	name "pc chip b"
}

shape Shp_PC_Chip_C
{
	file "objects\pc chip c.RIF"
	name "pc chip c"
}

character Chr_PC_Chip : Chr_Default
{
	turning speed	0	// this is in revolutions per second
	walking speed	0	// this is in animation cycles per second
	weapon			none
	strength		1	// initial strength points
	aim				0
	aggression		0.6	// 6 = PC chip pickup
}

role Rol_PC_Chip_A : Rol_DefaultRobot
{
	shape            Shp_PC_Chip_A
	
	character        Chr_PC_Chip
		
	identifier       "pc_chip"

	destructibility  Des_Explode

	ai		pickup
}

role Rol_PC_Chip_B : Rol_DefaultRobot
{
	shape            Shp_PC_Chip_B
	
	character        Chr_PC_Chip
		
	identifier       "pc_chip"

	destructibility  Des_Explode

	ai		pickup
}

role Rol_PC_Chip_C : Rol_DefaultRobot
{
	shape            Shp_PC_Chip_C
	
	character        Chr_PC_Chip
		
	identifier       "pc_chip"

	destructibility  Des_Explode

	ai		pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_PC_CHIPS_GSH
