// defines the pickups
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_PICKUPS_GSH
#define INCLUDED_PICKUPS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_Health_Pickup
{
	file "objects\health pickup.RIF"
	name "health pickup"
}

shape Shp_Aim_Accuracy_Pickup
{
	file "objects\aim accuracy pickup.RIF"
	name "aim accuracy pickup"
}

shape Shp_Armour_Pickup
{
	file "objects\armour pickup.RIF"
	name "armour pickup"
}

shape Shp_Shield_Pickup
{
	file "objects\shield pickup.RIF"
	name "shield pickup"
}

shape Shp_Minelayer_Pickup
{
	file "objects\mine pickup.RIF"
	name "mine pickup"
}

shape Shp_Decoylayer_Pickup
{
	file "objects\audio decoy pickup.RIF"
	name "audio decoy pickup"
}

shape Shp_TimedMinelayer_Pickup
{
	file "objects\mine timed pickup.RIF"
	name "mine timed pickup"
}

shape Shp_RemoteMinelayer_Pickup
{
	file "objects\mine remote pickup.RIF"
	name "mine remote pickup"
}

character Chr_Health_Pickup : Chr_Default
{
	turning speed   0
	walking speed   35	// health points gain
	strength        10	// initial strength points
	aim				0
	aggression		0	// 0 = health bonus
	size			5
}

character Chr_Aim_Accuracy_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	strength        10	// initial strength points
	aim				0
	aggression		0.21	// TODO ATTN
	size			5
}

character Chr_Armour_Pickup : Chr_Default
{
	turning speed   0
	walking speed   10	// armour gain
	strength        10	// initial strength points
	aim				0
	aggression		0.91	// armour pickup
	size			5
}

character Chr_Shield_Pickup : Chr_Default
{
	turning speed   0
	walking speed   100	// shield gain
	strength        10	// initial strength points
	aim				0
	aggression		0.31	// shield pickup
	size			5
}

character Chr_Decoylayer_Pickup : Chr_Default
{
	turning speed	0
	walking speed	5	// number of mines carried
	strength	10	// initial strength points
	aim		0
	aggression	0.51	// minelayer pickup
	size		2
	weapon		decoy mine
}

character Chr_Minelayer_Pickup : Chr_Default
{
	turning speed	0
	walking speed	5	// number of mines carried
	strength	10	// initial strength points
	aim		0
	aggression	0.51	// minelayer pickup
	size		2
	weapon		standard mine
}

character Chr_Remote_Minelayer_Pickup : Chr_Default
{
	turning speed	0
	walking speed	5	// number of mines carried
	strength	10	// initial strength points
	aim		0
	aggression	0.51	// minelayer pickup
	size		2
	weapon		remote mine
}

character Chr_Timed_Minelayer_Pickup : Chr_Default
{
	turning speed	0
	walking speed	5	// number of mines carried
	strength	10	// initial strength points
	aim		0
	aggression	0.51	// minelayer pickup
	size		2
	weapon		timed mine
}

role Rol_Health_Pickup : Rol_DefaultPickup
{
	shape            Shp_Health_Pickup
	
	character        Chr_Health_Pickup
		
	identifier       "health_pickup"

	destructibility  Des_Explode

	description		health pickup description

	pickup name	health pickup
}

role Rol_Aim_Accuracy_Pickup : Rol_DefaultPickup
{
	shape            Shp_Aim_Accuracy_Pickup
	
	character        Chr_Aim_Accuracy_Pickup
		
	identifier       "aim_accuracy_pickup"

	destructibility  Des_Explode

	description	aim accuracy pickup description

	pickup name	aim accuracy pickup
}

role Rol_Armour_Pickup : Rol_DefaultPickup
{
	shape            Shp_Armour_Pickup
	
	character        Chr_Armour_Pickup
		
	identifier       "armour_pickup"

	destructibility  Des_Explode

	description		armour pickup description

	pickup name	armour pickup
}

role Rol_Shield_Pickup : Rol_DefaultPickup
{
	shape            Shp_Shield_Pickup
	
	character        Chr_Shield_Pickup
		
	identifier       "shield_pickup"

	destructibility  Des_Explode

	description		shield pickup description

	pickup name	shield pickup
}


role Rol_Decoylayer_Pickup : Rol_DefaultPickup
{
	shape            Shp_Decoylayer_Pickup

	character        Chr_Decoylayer_Pickup

	identifier       "decoylayer"

	destructibility  Des_Explode

	description		GL_DESCRIPTION_DECOY

	pickup name	decoylayer pickup
}

role Rol_Minelayer_Pickup : Rol_DefaultPickup
{
	shape            Shp_Minelayer_Pickup

	character        Chr_Minelayer_Pickup

	identifier       "minelayer"

	destructibility  Des_Explode

	description		GL_DESCRIPTION_MINE

	pickup name	minelayer pickup
}

role Rol_Remote_Minelayer_Pickup : Rol_DefaultPickup
{
	shape            Shp_RemoteMinelayer_Pickup

	character        Chr_Remote_Minelayer_Pickup

	identifier       "remote_minelayer"

	destructibility  Des_Explode

	description		GL_DESCRIPTION_REMOTE_MINE

	pickup name	remote minelayer pickup
}

role Rol_Timed_Minelayer_Pickup : Rol_DefaultPickup
{
	shape            Shp_TimedMinelayer_Pickup

	character        Chr_Timed_Minelayer_Pickup

	identifier       "timed_minelayer"

	destructibility  Des_Explode

	description		GL_DESCRIPTION_TIMED_MINE

	pickup name	timed minelayer pickup
}

role Rol_Nothing_Pickup : Rol_DefaultPickup
{
	shape			Shp_Aim_Accuracy_Pickup

	character		Chr_Nothing_Pickup
		
	identifier		"nothing"

	destructibility	Des_Explode
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_PICKUPS_GSH