// defines the weapon Wpn_Pistol
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_PLASMA_GSH
#define INCLUDED_PLASMA_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_Flare
{
	red		3.5
	green		3.5
	blue		4.5
	specular red	0.5
	specular green	0.5
	specular blue	0.5
	range		20
}

light Lit_BluePlasma
{
	red             5
	green           2
	blue            1
	specular red	1
	specular green	0.5
	specular blue	0
	range           5
}

light Lit_PurplePlasma
{
	red				2.00
	green			0.24
	blue			3.86
	specular red	0.59
	specular green	0.07
	specular blue	0.96
	range			10
}

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_Flare
{
	type shot
	life infinite // well actually until the shot no longer exists
	rate 60
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 1 green 1 blue 1 alpha 0.5
	// scale
	start scale 1.0 end scale 0.5
}

pgenerator Pgn_BluePlasma
{
	type explosion
	life infinite // well actually until the shot no longer exists
	particle TTL 0.05	//seconds before a particle fades out or whatever
	rate 400
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.6 green 0.6 blue 1 alpha 1.0
	// scale
	start scale 0.2 end scale 0.1
	spin 10000
}

pgenerator Pgn_BluePlasmabig
{
	type explosion
	life infinite // well actually until the shot no longer exists
	particle TTL 0.1
	rate 400
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.5 green 0.5 blue 1.5 alpha 1.0
	// scale
	start scale 0.25 end scale 0.1
	spin 10000
}

pgenerator Pgn_PurplePlasma
{
	type explosion
	life infinite // well actually until the shot no longer exists
	particle TTL 0.2
	rate 500
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.4 green 0.20 blue 0.96 alpha 0.5
	// scale
	start scale 0.3 end scale 0.1
	spin 10000
}

pgenerator Pgn_PurplePlasmabig
{
	type explosion
	life infinite // well actually until the shot no longer exists
	particle TTL 0.3
	rate 500
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.59 green 0.20 blue 0.96 alpha 0.5
	// scale
	start scale 0.35 end scale 0.1
	spin 10000
}


////////////////////////////////////////////////////////////////////////////////////

projectile Prj_Flare
{
	gravity		yes
	damage		0
	blast		0
	max range	10000
}

projectile Prj_Needle
{
	gravity     no	// is this missile affected by gravity
	damage      2	// in strength points
	blast       0	// proximity damage
	blast range	0	// range of proximity damage
	max range	324	// distance squared, in metres
}

projectile Prj_Plasma_Bolt
{
	gravity		yes	// is this missile affected by gravity
	damage		5	// in strength points
	blast		0	// proximity damage
	blast range	0	// range of proximity damage
	max range	600	// distance squared, in metres
}

projectile Prj_Plasmaxi_Bolt
{
	gravity		yes	// is this missile affected by gravity
	damage		7	// in strength points
	blast		0	// proximity damage
	blast range	0	// range of proximity damage
	max range	900	// distance squared, in metres
}

projectile Prj_Plasma_Shell
{
	gravity  	yes	// is this missile affected by gravity
	damage   	10	// in strength points
	blast    	0	// proximity damage
	blast range	0	// range of proximity damage
	max range	1600	// distance squared, in metres
}

projectile Prj_Autolock_Plasma_Bolt
{
	gravity  	yes	// is this missile affected by gravity
	damage   	11	// in strength points
	blast    	0	// proximity damage
	blast range	0	// range of proximity damage
	max range	1600	// distance squared, in metres
}

////////////////////////////////////////////////////////////////////////////////////

character Chr_Flare : Chr_Default
{
	turning speed   1.0
	walking speed   1.0	// must be non-zero to make it a defogging DYNAMIC actor
	strength        5
	aim             2
	sight angle		70
	sight range 	16	// IMPORTANT - defogging radius
	hearing range	20
	aggression		0.9
}

////////////////////////////////////////////////////////////////////////////////////

role Rol_Plasma_Bolt : Rol_DefaultProjectile
{
	shape		Pgn_BluePlasma

	projectile	Prj_Plasma_Bolt

	identifier	"plasma_bolt"

	light		Lit_BluePlasma

	limit		4				// muzzle flash
}

role Rol_Plasmaxi_Bolt : Rol_DefaultProjectile
{
	shape		Pgn_BluePlasmabig

	projectile	Prj_Plasmaxi_Bolt

	identifier	"plasmaxi_bolt"

	light		Lit_BluePlasma

	limit		4				// muzzle flash
}

role Rol_Plasma_Shell : Rol_DefaultProjectile
{
	shape		Pgn_PurplePlasma

	projectile	Prj_Plasma_Shell

	identifier	"plasma_shell"

	light		Lit_PurplePlasma

	limit		4				// muzzle flash
}

role Rol_Autolock_Plasma_Bolt : Rol_DefaultProjectile
{
	shape		Pgn_PurplePlasmabig

	projectile Prj_Autolock_Plasma_Bolt

	identifier	"autolock_plasma_bolt"

	light		Lit_PurplePlasma

	limit		4				// muzzle flash
}

role Rol_Flare : Rol_DefaultProjectile
{
	shape		Pgn_Flare

	projectile	Prj_Flare

	character	Chr_Flare

	light		Lit_Flare

	identifier	"flare"

	limit		128				// defogger
}

role Rol_Needle : Rol_DefaultProjectile
{
	projectile	Prj_Needle

	identifier	"needle"
}

////////////////////////////////////////////////////////////////////////////////////

// PLASMA_PISTOL
ammo
{
	weapon type		plasma pistol
	ammo type		needles

	round time		1				// time between shots, in seconds
	reload time		3				// time to change magazine, in seconds
	life timer		0				// for particle effects (e.g. flames), in secs.
	magazine size		2000
	sound			pistol sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo pistol rf"

	projectile		Rol_Needle
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasma pistol
	ammo type		plasma bolts

	round time		1
	reload time		2
	life timer		0
	magazine size	20
	sound			pistol sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo pistol ra"

	projectile		Rol_Plasma_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasma pistol
	ammo type		plasmaxi bolts

	round time		1
	reload time		2
	life timer		0
	magazine size	20
	sound			pistol sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo magnum rb"

	projectile		Rol_Plasmaxi_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasma pistol
	ammo type		plasma shells

	round time		1
	reload time		2
	life timer		0
	magazine size	10
	sound			pistol sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo pistol rc"

	projectile		Rol_Plasma_Shell
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasma pistol
	ammo type		autolock bolts

	round time		1
	reload time		2
	life timer		0
	magazine size	10
	sound			pistol sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo pistol rd"

	projectile		Rol_Autolock_Plasma_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasma pistol
	ammo type		flares

	round time		2
	reload time		2
	life timer		0
	magazine size	10
	sound			magnum sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo pistol re"

	projectile		Rol_Flare
	firing speed	15				// metres per second
}

// PLASMAGNUM
ammo
{
	weapon type		plasmagnum
	ammo type		plasma bolts

	round time		1
	reload time		2
	life timer		0
	magazine size	20
	sound			magnum sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo magnum ra"

	projectile		Rol_Plasma_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasmagnum 
	ammo type		plasmaxi bolts

	round time		1
	reload time		2
	life timer		0
	magazine size	20
	sound			magnum sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo magnum rb"

	projectile		Rol_Plasmaxi_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasmagnum 
	ammo type		plasma shells

	round time		1
	reload time		2
	life timer		0
	magazine size	10
	sound			magnum sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo magnum rc"

	projectile		Rol_Plasma_Shell
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasmagnum 
	ammo type		autolock bolts

	round time		1
	reload time		2
	life timer		0
	magazine size		10
	sound			magnum sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo magnum rd"

	projectile		Rol_Autolock_Plasma_Bolt
	firing speed	25 				// m/s
}

// PLASMATRIX
ammo
{
	weapon type		plasmatrix
	ammo type		plasma bolts

	round time		0.5
	reload time		2
	life timer		0
	magazine size	20
	sound			machine pistol sound
	salvo size		4

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo mach ra"

	projectile		Rol_Plasma_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasmatrix 
	ammo type		plasmaxi bolts

	round time		0.5
	reload time		2
	life timer		0
	magazine size	20
	sound			machine pistol sound
	salvo size		5

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo mach rb"

	projectile		Rol_Plasmaxi_Bolt
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasmatrix 
	ammo type		plasma shells

	round time		0.5
	reload time		2
	life timer		0
	magazine size	10
	sound			machine pistol sound
	salvo size		4

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo mach rc"

	projectile		Rol_Plasma_Shell
	firing speed	25 				// m/s
}
ammo
{
	weapon type		plasmatrix 
	ammo type		autolock bolts

	round time		0.5
	reload time		2
	life timer		0
	magazine size	10
	sound			machine pistol sound
	salvo size		4

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo mach rd"

	projectile		Rol_Autolock_Plasma_Bolt
	firing speed	25 				// m/s
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_Plasma_Pistol_Pickup
{
	file "objects\pistol pickup a.rif"
	name "pistol pickup a"
}

hierarchy Hcy_Plasma_Pistol_Inventory_Pickup
{
	file "objects\pistol.rif"
	name "pistol"
	hotspot none
}

shape Shp_Plasmatrix_Pickup
{
	file "objects\machine pistol pickup a.rif"
	name "machine pistol pickup a"
}

hierarchy Hcy_Plasmatrix_Inventory_Pickup
{
	file "objects\machine pistol.rif"
	name "machine pistol"
	hotspot none
}

shape Shp_Plasmagnum_Pickup
{
	file "objects\magnum pickup a.rif"
	name "magnum pickup a"
}

hierarchy Hcy_Plasmagnum_Inventory_Pickup
{
	file "objects\magnum.rif"
	name "magnum"
	hotspot none
}

character Chr_Plasma_Pistol_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			plasma pistol
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

character Chr_Plasmatrix_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			plasmatrix
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

character Chr_Plasmagnum_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			plasmagnum
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_Plasma_Pistol_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasma_Pistol_Pickup

	inventory shape	Hcy_Plasma_Pistol_Inventory_Pickup

	character		Chr_Plasma_Pistol_Pickup

	identifier		"plasma_pistol"

	pickup name		plasma pistol pickup

	destructibility	Des_Explode

	armour			25

	description		GL_DESCRIPTION_PLASMA_PISTOL
}

role Rol_Plasmatrix_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasmatrix_Pickup

	inventory shape	Hcy_Plasmatrix_Inventory_Pickup

	character		Chr_Plasmatrix_Pickup

	identifier		"plasmatrix"

	destructibility	Des_Explode

	armour			25

	limit			2

	description		GL_DESCRIPTION_PLASMATRIX

	pickup name		plasmatrix pickup
}

role Rol_Plasmagnum_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasmagnum_Pickup

	inventory shape	Hcy_Plasmagnum_Inventory_Pickup

	character		Chr_Plasmagnum_Pickup

	identifier		"plasmagnum"

	destructibility	Des_Explode

	armour			25

	description		GL_DESCRIPTION_PLASMAGNUM

	pickup name		plasmagnum pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_PLASMA_GSH