// defines RAMPAGOR
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_RAMPAGOR_GSH
#define INCLUDED_RAMPAGOR_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "rampagorfrag.gsh"


hierarchy Hcy_rampagor
{
	file "units\LOWrampagor.RIF"
	name "lowrampagor"
	hotspot "dumflash"
}

hierarchy Hcy_rampagor_Shadow
{
	file "units\rampagor_shadow.RIF"
	name "rampagor_shadow"
}

character Chr_rampagor : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			laser
	strength        60	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	1	// from 0 to 1
	gun yaw angle	0	// in degrees
	shadow hierarchy	Hcy_rampagor_Shadow
}

character Chr_maxi_rampagor : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			binary laser
	strength        100	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	30	// in degrees
	sight range 	10	// in metres
	hearing range	20	// in metres
	aggression	1	// from 0 to 1
	size 		2
	gun yaw angle	0	// in degrees
	shadow hierarchy	Hcy_rampagor_Shadow
}


role Rol_rampagor : Rol_DefaultRobot
{
	shape				Hcy_rampagor

	character			Chr_rampagor

	identifier			"rampagor"

	destructibility			Frg_rampagor

	armour	5

	ai					bot

}

role Rol_maxi_rampagor : Rol_DefaultRobot
{
	shape				Hcy_rampagor

	character			Chr_maxi_rampagor

	identifier			"maxi_rampagor"

	destructibility			Frg_rampagor

	armour	10

	ai					bot

}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_RAMPAGOR_GSH
