// defines reaper
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_REAPER_GSH
#define INCLUDED_REAPER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"
#include "reaperfrag.gsh"

hierarchy Hcy_Reaper
{
	file "units\reaper.RIF"
	name "reaper"
	hotspot "dum flash"
}

character Chr_Reaper : Chr_DefaultBaddie
{
	turning speed   0.5	// this is in revolutions per second
	walking speed   1.2	// this is in animation cycles per second
	weapon          enemy laser
	strength        8	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle		80	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression		0.9	// from 0 to 1
}

role Rol_Reaper : Rol_DefaultRobot
{
	shape			Hcy_Reaper
	character		Chr_Reaper
	identifier		"reaper"
	destructibility	Frg_Reaper
	ai				bot


}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_REAPER_GSH
