// defines the repair arms
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_REPAIR_ARMS_GSH
#define INCLUDED_REPAIR_ARMS_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_RepairBeam
{
	red             5
	green           5
	blue            5
	specular red	2
	specular green	2
	specular blue	2
	range           10
}

pgenerator Pgn_RepairBeam
{
	type shot
	life infinite // well actually until the shot no longer exists
	rate 100
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.6 green 0.6 blue 1 alpha 0.5
}

projectile Prj_RepairBeam
{
	gravity		no	// is this missile affected by gravity
	damage		-1	// in strength points
	blast		0	// proximity damage (not yet supported)
	max range	10	// in metres
}

role Rol_RepairBeam : Rol_DefaultProjectile
{
	shape      Pgn_RepairBeam

	light      Lit_RepairBeam

	projectile Prj_RepairBeam

	identifier "repair_beam"
}

/////////////////////////////////////////////////////////////////////////////////

// REPAIR BEAM
ammo
{
	weapon type		repair arm
	ammo type		energy cells

	round time		0.2
	reload time		2
	life timer		0
	magazine size	100
	sound			laser sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo laser ra"

	projectile		Rol_RepairBeam	// what it fires
	firing speed	10 		// m/s
}


/////////////////////////////////////////////////////////////////////////////////

shape Shp_RepairArm_Pickup
{
	file "objects\repair arm pickup A.rif"
	name "repair arm pickup A"
}

hierarchy Hcy_RepairArm_Inventory_Pickup
{
	file "objects\repair arm a.rif"
	name "repair arm a"
	hotspot none
}

character Chr_RepairArm_Pickup : Chr_Default
{
	turning speed   0
	walking speed   0
	weapon		repair arm
	strength        10		// initial strength points
	aim		0
	aggression	0.41		// 4 = weapon pickup
}

role Rol_RepairArm_Pickup : Rol_DefaultPickup
{
	shape			Shp_RepairArm_Pickup

	inventory shape	Hcy_RepairArm_Inventory_Pickup

	character		Chr_RepairArm_Pickup

	identifier		"repair_arm"

	destructibility		Des_Explode

	armour			25

	description		GL_DESCRIPTION_REPAIR_ARM

	pickup name		repair arm pickup

	limit			7
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_REPAIR_ARMS_GSH