// defines the fragmented robodozer
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_ROBODOZERFRAG_GSH
#define INCLUDED_ROBODOZERFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_RobodozerfragA
{
	file	"objects\robodozer frag A.rif"
	name	"robodozer frag A"
	hotspot none
}

role Rol_RobodozerfragA : Rol_PlacedObject
{
	shape		Hcy_RobodozerfragA
	identifier 		"robodozerfragA"
	frag control	yes
	hit test ignore yes
}

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_RobodozerfragB
{
	file	"objects\robodozer frag B.rif"
	name	"robodozer frag B"
	hotspot none
}

role Rol_RobodozerfragB : Rol_PlacedObject
{
	shape		Hcy_RobodozerfragB
	identifier 	"robodozerfragB"
	frag control	yes
	hit test ignore yes
}

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_RobodozerfragC
{
	file	"objects\robodozer frag C.rif"
	name	"robodozer frag C"
	hotspot none
}

role Rol_RobodozerfragC : Rol_PlacedObject
{
	shape		Hcy_RobodozerfragC
	identifier 	"robodozerfragC"
	frag control	yes
	hit test ignore yes
}

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Robodozertracksleft
{
	file	"objects\robodozer tracksleft.rif"
	name	"robodozer tracksleft"
}

frag data FrgC_Robodozer	// this creates frag bits
{
	role			Rol_RobodozerfragC
	scale			10
}

role Rol_Robodozertracksleft : Rol_PlacedObject
{
	shape		Hcy_Robodozertracksleft
	identifier 		"robodozertracksleft"
	destructibility	FrgC_Robodozer
	ai				blocker
	armour			0
}

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Robodozerhalfleft
{
	file	"objects\robodozer halfleft.rif"
	name	"robodozer halfleft"
}

frag data FrgB_Robodozer	// this creates Rol_Robodozertracksleft and frag bits
{
	role		Rol_RobodozerfragB
	replace role	Rol_Robodozertracksleft
	replace 		yes				// get rid of the old half
	scale		10
	symmetric		no
}

role Rol_Robodozerhalfleft : Rol_PlacedObject
{
	shape		Hcy_Robodozerhalfleft
	identifier 		"robodozerhalfleft"
	destructibility	FrgB_Robodozer
	ai		blocker
	armour			0
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_ROBODOZERFRAG_GSH