// defines RUNNER
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_RUNNER_GSH
#define INCLUDED_RUNNER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_runner
{
	file "units\LOWrunner.RIF"
	name "lowrunner"
	hotspot "dumflash"
}

hierarchy Hcy_HighPoly_runner
{
	file "units\runner.RIF"
	name "runner"
	hotspot "dumflash"
}

hierarchy Hcy_runner_Shadow
{
	file "units\runner_shadow.RIF"
	name "runner_shadow"
}

character Chr_runner : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			missile launcher
	strength       90	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	0.50	// from 0 to 1
	gun yaw angle	0	// in degrees
	//description		claw description
	shadow hierarchy	Hcy_runner_Shadow
}


character Chr_runner_large : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			missile launcher
	strength       200	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	0.50	// from 0 to 1
	gun yaw angle	0	// in degrees
	//description		claw description
	size 		2
	shadow hierarchy	Hcy_runner_Shadow
}
role Rol_runner : Rol_DefaultRobot
{
	//shape				Hcy_runner

	shape		Hcy_HighPoly_runner

	character			Chr_runner

	destructibility 		Des_Explode

	identifier			"runner"

	armour	5

	ai					bot
}

role Rol_runner_large : Rol_DefaultRobot
{
	//shape				Hcy_runner

	shape		Hcy_HighPoly_runner

	character			Chr_runner_large

	destructibility 		Des_Explode

	identifier			"runner_large"

	armour	10

	ai					bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_THRUSTER_GSH
