// defines a wall which has several stages of destructibility
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SAT_WALL_FRAG_GSH
#define INCLUDED_SAT_WALL_FRAG_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

// the frag parts

hierarchy Hcy_SatWallFrag
{
	file	"objects\sat fragwall b_frag_a.rif"
	name	"sat fragwall b_frag_a"
	hotspot none
}

role Rol_SatWallFrag : Rol_PlacedObject
{
	shape			Hcy_SatWallFrag
	identifier		"sat_wall_frag"
	frag control	yes
	hit test ignore yes
}

frag data Frg_SatWall
{
	role	Rol_SatWallFrag
	scale	7
}

// the intact wall

shape Shp_SatWall
{
	file "objects\sat fragwall b.RIF"
	name "sat fragwall b"
}

role Rol_SatWall : Rol_PlacedObject
{
	shape			Shp_SatWall
	identifier		"sat_wall"
	destructibility	Frg_SatWall
	ai				blocker
	destination selectable yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SAT_WALL_FRAG_GSH
