// defines SCARFLASH robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_SCARFLASH_GSH
#define INCLUDED_SCARFLASH_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_scarflashfrag
{
	file	"units\scarflashfrag.rif"
	name	"scarflashfrag"
	hotspot none
}

role Rol_scarflashfrag : Rol_FragObject
{
	shape			Hcy_scarflashfrag
	identifier		"scarflashfrag"
}

frag data Frg_scarflashfrag
{
	role Rol_scarflashfrag
	scale 4
	replace yes
}

hierarchy Hcy_scarflash
{
	file "units\scarflash.RIF"
	name "scarflash"
	hotspot "dum flash"
}

/*hierarchy Hcy_scarflashshadow
{
	file "units\scarflash_shadow.RIF"
	name "scarflash"
}*/

character Chr_scarflash : Chr_DefaultBaddie
{
	turning speed   	0.75	// this is in revolutions per second
	walking speed   	1	// this is in animation cycles per second
	weapon          	maxim laser	// was epulsar (TO BE PUT BACK WHEN GRAPHICS ARE IMPROVED)
	strength        	30	// initial strength points
	aim             	2	// how many degrees off target he can be at most
	sight angle		25	// in degrees
	sight range 		15	// in metres
	hearing range		10	// in metres
	aggression		1	// from 0 to 1
	radius			1	// used by the movement model
//	shadow hierarchy	Hcy_scarflashShadow
}

role Rol_scarflash : Rol_DefaultRobot
{
	shape		Hcy_scarflash

	character	Chr_scarflash

	identifier	"scarflash"

	destructibility	Frg_scarflashfrag

	armour		0

	ai		bot
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_scarflash_GSH
