// defines Scuttlers
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SCUTTLERS_GSH
#define INCLUDED_SCUTTLERS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_ScuttlerA
{
	file "units\scuttler a.RIF"
	name "scuttler a"
	hotspot "dum flash"
}

hierarchy Hcy_ScuttlerB
{
	file "units\scuttler b.RIF"
	name "scuttler b"
	hotspot "dum flash"
}

hierarchy Hcy_ScuttlerC
{
	file "units\scuttler c.RIF"
	name "scuttler c"
	hotspot "dum flash"
}

hierarchy Hcy_ScuttlerD
{
	file "units\scuttler d.RIF"
	name "scuttler d"
	hotspot "dum flash"
}

hierarchy Hcy_ScuttlerE
{
	file "units\scuttler e.RIF"
	name "scuttler e"
	hotspot "dum flash"
}

hierarchy Hcy_ScuttlerF
{
	file "units\scuttler f.RIF"
	name "scuttler f"
	hotspot "dum flash"
}

hierarchy Hcy_Scuttler_Node
{
	file "units\scuttler node.RIF"
	name "scuttler node"
	hotspot "scuttler base"
}

character Chr_Scuttler : Chr_DefaultBaddie
{
	turning speed	0.4
	walking speed	1
	strength		1	// one shot and it's scuttler ick
	aim				5
	sight angle		70	// in degrees
	sight range 	15	// in metres
	hearing range	25	// in metres
	aggression		1	// from 0 to 1
}

character Chr_Scuttler_Node : Chr_DefaultBaddie
{
	turning speed	0
	walking speed	0
	strength		4
	aim				5
	sight angle		89	// in degrees
	sight range 	15	// in metres
	hearing range	25	// in metres
	aggression		1	// actually scuttlers produced per second.
}

role Rol_ScuttlerA : Rol_DefaultRobot
{
	shape			Hcy_ScuttlerA

	character		Chr_Scuttler

	identifier		"scuttler_a"

	destructibility	Des_Splatter

	ai				swarm

	limit			25				// damage done
}

role Rol_ScuttlerB : Rol_DefaultRobot
{
	shape			Hcy_ScuttlerB

	character		Chr_Scuttler

	identifier		"scuttler_b"

	destructibility	Des_Splatter

	ai				swarm

	limit			25				// damage done
}

role Rol_ScuttlerC : Rol_DefaultRobot
{
	shape			Hcy_ScuttlerC

	character		Chr_Scuttler

	identifier		"scuttler_c"

	destructibility	Des_Splatter

	ai				swarm

	limit			25				// damage done
}

role Rol_ScuttlerD : Rol_DefaultRobot
{
	shape			Hcy_ScuttlerD

	character		Chr_Scuttler

	identifier		"scuttler_d"

	destructibility	Des_Splatter

	ai				swarm

	limit			25				// damage done
}

role Rol_ScuttlerE : Rol_DefaultRobot
{
	shape			Hcy_ScuttlerE

	character		Chr_Scuttler

	identifier		"scuttler_e"

	destructibility	Des_Splatter

	ai				swarm

	limit			25				// damage done
}

role Rol_ScuttlerF : Rol_DefaultRobot
{
	shape			Hcy_ScuttlerF

	character		Chr_Scuttler

	identifier		"scuttler_f"

	destructibility	Des_Splatter

	ai				swarm

	limit			25				// damage done
}

role Rol_Scuttler_Node : Rol_DefaultRobot
{
	shape			Hcy_Scuttler_Node

	character		Chr_Scuttler_Node

	identifier		"scuttler_node"

	destructibility	Des_Explode

	ai				node

	produces		"scuttler_a,scuttler_b,scuttler_c,scuttler_d,scuttler_e,scuttler_f"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SCUTTLERS_GSH