// defines SCYTHOR
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SCYTHOR_GSH
#define INCLUDED_SCYTHOR_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"
#include "scythorfrag.gsh"
#include "grenade_launcher.gsh"

hierarchy Hcy_scythor
{
	file "units\scythor.RIF"
	name "scythor"
	hotspot "dumflash"
}

hierarchy Hcy_scythor_Shadow
{
	file "units\Scythor_shadow.RIF"
	name "Scythor_shadow"
}

character Chr_scythor : Chr_DefaultBaddie
{
	turning speed   0.5	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			laser
	strength        60	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	12	// in metres
	hearing range	11	// in metres
	aggression	0.25	// from 0 to 1
	gun yaw angle	100	// in degrees
	shadow hierarchy	Hcy_scythor_Shadow
}

character Chr_scythor_large : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			grenade launcher
	strength        100	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	12	// in metres
	hearing range	11	// in metres
	aggression	0.25	// from 0 to 1
	gun yaw angle	100	// in degrees
	size 		1.5
	shadow hierarchy	Hcy_scythor_Shadow
}

character Chr_scythor_badass : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			grenade launcher
	strength        60	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	20	// in degrees
	sight range 	12	// in metres
	hearing range	11	// in metres
	aggression	0.25	// from 0 to 1
	gun yaw angle	100	// in degrees
	shadow hierarchy	Hcy_scythor_Shadow
}

role Rol_scythor : Rol_DefaultRobot
{
	shape			Hcy_scythor

	character		Chr_scythor

	identifier		"scythor"

	destructibility		Frg_scythor

	armour			0

	ai			bot
}

role Rol_scythor_large : Rol_DefaultRobot
{
	shape			Hcy_scythor

	character		Chr_scythor_large

	identifier		"scythor_large"

	destructibility		Frg_scythor

	armour			9

	ai			bot
}

role Rol_scythor_badass : Rol_DefaultRobot
{
	shape			Hcy_scythor

	character		Chr_scythor_badass

	identifier		"scythor_badass"

	destructibility		Frg_scythor

	armour			0

	ai			bot
}
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SCYTHOR_GSH
