// defines Skorn Robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_SKORN_GSH
#define INCLUDED_SKORN_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "lasers.gsh"
#include "defaults.gsh"

hierarchy Hcy_Skorn
{
	file "units\Skorn MkII.RIF"
	name "skorn mkII"
	hotspot "dum flash"
}

hierarchy Hcy_SkornShadow
{
	file "units\gunlok_shadow.RIF"
	name "gunlok_shadow"
}

hierarchy Hcy_SkornCustomize
{
	file "units\wepgunlok.RIF"
	name "wepgunlok"
}

character Chr_Skorn : Chr_DefaultGoodie
{
	turning speed   1	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          laser
	strength        100	// initial strength points
	aim             0	// how many degrees off target he can be at most
	sight angle		75	// in degrees
	sight range 	12	// in metres (i've doubled this for a test)
	hearing range	17	// in metres
	aggression		0.7	// from 0 to 1
	radius			0.5	// used by the movement model
	customization hierarchy Hcy_SkornCustomize
	size		1
	shadow hierarchy		Hcy_SkornShadow
}

role Rol_Skorn : Rol_DefaultRobot
{
	shape			Hcy_Skorn

	character		Chr_Skorn

	identifier		"SKORN"

	armour	3

	ai				bot
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SKORN_GSH