// defines Skyburn
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SKYBURN_GSH
#define INCLUDED_SKYBURN_GSH

////////////////////////////////////////////////////////////////////////////////////
#include "skyburnfrag.gsh"
#include "defaults.gsh"

hierarchy Hcy_Skyburn
{
	file "units\skyburn.RIF"
	name "skyburn"
	hotspot "dum flash "
}

hierarchy Hcy_skyburn_shadow
{
	file "units\skyburn_shadow.RIF"
	name "skyburn"
}

character Chr_Skyburn : Chr_DefaultBaddie
{
	turning speed   0.5	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon          plasma pistol
	strength        25	// initial strength points
	aim             1	// how many degrees off target he can be at most
	height		20	// for targeting purposes
	sight angle	30	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	vision cone		no
	description		drone description
	shadow hierarchy		Hcy_skyburn_shadow
}

role Rol_Skyburn : Rol_DefaultRobot
{
	shape			Hcy_Skyburn
	
	character		Chr_Skyburn
		
	identifier		"skyburn"

	armour	1

	destructibility		Frg_skyburn

	ai				popup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SKYBURN_GSH
