// defines Stalker
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_STALKER_GSH
#define INCLUDED_STALKER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"
#include "stalker_frag.gsh"

hierarchy Hcy_Stalker
{
	file "units\stalker.RIF"
	name "stalker"
	hotspot "dumflash"
	alternate hotspot "dumflash L"
}

character Chr_Stalker : Chr_DefaultBaddie
{
	turning speed   0.3	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			enemy laser
	strength        10	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle		80	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression		0.9	// from 0 to 1
	radius 			2.0	// in metres
	description		stalker description
}

role Rol_Stalker : Rol_DefaultRobot
{
	shape			Hcy_Stalker
	character		Chr_Stalker
	identifier		"stalker"
	destructibility	Frg_Stalker
	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_STALKER_GSH
