// defines a box which has several stages of destructibility
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_BOX_MULTIFRAG_GSH
#define INCLUDED_BOX_MULTIFRAG_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

// second lot of frag bits

hierarchy Hcy_Fragbox_Frag_2
{
	file	"objects\Technobox frag 2.rif"
	name	"technobox frag 2"
	hotspot none
}

role Rol_Fragbox_Frag_B : Rol_PlacedObject
{
	shape		Hcy_Fragbox_Frag_2
	identifier	"fragbox_frag_2"
	hit test ignore yes
}

// damaged box and first lot of frag bits

hierarchy Shp_Technobox_Damaged
{
       file "objects\Technobox half.rif"
       name "Technobox half"
}

frag data Frg_Fragbox_B	// this creates only frag bits
{
	role			Rol_Fragbox_Frag_B
	scale			3
	symmetric		no
}

role Rol_Fragbox_B : Rol_PlacedObject
{
	shape			Shp_Technobox_Damaged
	identifier		"technobox_damaged"
	destructibility	Frg_Fragbox_B
	armour			0
	ai				blocker
}

hierarchy Hcy_Fragbox_Frag_1
{
	file	"objects\Technobox frag 1.rif"
	name	"technobox frag 1"
	hotspot none
}

role Rol_Fragbox_Frag_A : Rol_PlacedObject
{
	shape		Hcy_Fragbox_Frag_1
	identifier	"fragbox_frag_1"
	hit test ignore yes
}

// the intact box

shape Shp_Technobox
{
       file "objects\Technobox.rif"
       name "Technobox"
}

frag data Frg_Technobox	// this creates Rol_Fragbox_B and frag bits
{
	role			Rol_Fragbox_Frag_A
	replace role	Rol_Fragbox_B
	replace 		yes					// get rid of the old box
	scale			3
	symmetric		no
}

character Chr_technobox : Chr_Default
{
	strength        20	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	6	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

role Rol_Technobox : Rol_PlacedObject
{
	character 	Chr_technobox
	shape			Shp_Technobox
	identifier		"technobox"
	destructibility	Frg_Technobox
	armour			0
	ai				blocker
}

character Chr_technoboxhard : Chr_Default
{
	strength        100	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	0	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

character Chr_Technoboxshield : Chr_Default
{
	strength        100	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	0	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

role Rol_Technoboxshield : Rol_PlacedObject
{
	character 	Chr_Technoboxshield
	shape			Shp_Technobox
	identifier		"technoboxshield"
	destructibility	Frg_Technobox
	armour			100
	ai				blocker
}

role Rol_Technoboxhard : Rol_PlacedObject
{
	character 	Chr_technoboxhard
	shape			Shp_Technobox
	identifier		"technoboxhard"
	destructibility	Frg_Technobox
	armour			3
	ai				blocker
}
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_BOX_MULTIFRAG_GSH