// defines THRUSTER
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_THRUSTER_GSH
#define INCLUDED_THRUSTER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_Thruster
{
	file "units\LOWthruster.RIF"
	name "lowthruster"
	hotspot "dumflash"
}

hierarchy Hcy_HighPoly_Thruster
{
	file "units\Thruster.RIF"
	name "thruster"
	hotspot "dumflash"
}

hierarchy Hcy_Thruster_Shadow
{
	file "units\thruster_shadow.RIF"
	name "thruster_shadow"
}

character Chr_Thruster : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			grenade launcher
	strength        60	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	30	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	0.75	// from 0 to 1
	gun yaw angle	0	// in degrees
	//description		claw description
	shadow hierarchy	Hcy_Thruster_Shadow
}

role Rol_Thruster : Rol_DefaultRobot
{
	//shape				Hcy_Thruster

	shape		Hcy_HighPoly_Thruster

	character			Chr_Thruster

	destructibility Des_Explode

	identifier			"thruster"

	armour	2

	ai					bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_THRUSTER_GSH
