// defines Walking Mine
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_WALKING_MINE_GSH
#define INCLUDED_WALKING_MINE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "minefrag.gsh"

hierarchy Hcy_Minebot
{
	file "units\minebot.RIF"
	name "minebot"
	hotspot ""
}

character Chr_Walking_Mine : Chr_DefaultBaddie
{
	turning speed   0.3
	walking speed   1
	strength        20	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle		30	// in degrees
	sight range 	20	// in metres
	hearing range	15	// in metres
	aggression		1	// from 0 to 1

	always cpu controlled	yes
	vision cone		no
}

character Chr_mini_Walking_Mine : Chr_DefaultBaddie
{
	turning speed   0.3
	walking speed   1
	strength        20	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle		30	// in degrees
	sight range 	20	// in metres
	hearing range	15	// in metres
	aggression		1	// from 0 to 1
	size 0.7

	always cpu controlled	yes
	vision cone		no
}
role Rol_Walking_Mine : Rol_DefaultRobot
{
	shape		Hcy_Minebot
	character	Chr_Walking_Mine
	identifier	"minebot"
	destructibility Frg_Minebot
	ai		minebot
	limit		80				// damage done
}

role Rol_Smartbot : Rol_DefaultRobot
{
	shape		Hcy_Minebot
	character	Chr_Walking_Mine
	identifier	"smartbot"
	destructibility Frg_Minebot
	ai		swarm
	limit		60				// damage done
}

character Chr_Mini_Minebot : Chr_DefaultBaddie
{
	turning speed   0.3
	walking speed   1
	strength        20	// can absorb a small amount of damage
	aim             0	// spot on!
	sight angle		30	// in degrees
	sight range 	15	// in metres
	hearing range	15	// in metres
	aggression		1	// from 0 to 1
	size 0.7
	always cpu controlled yes
	vision cone		no
}

role Rol_Mini_Minebot : Rol_DefaultRobot
{
	shape		Hcy_Minebot
	character	Chr_Mini_Minebot
	identifier	"mini_minebot"
	destructibility Frg_Minebot
	ai			minebot
	limit		30				// damage done
}
	
role Rol_mini_Smartbot : Rol_DefaultRobot
{
	shape		Hcy_Minebot
	character	Chr_mini_Walking_Mine
	identifier	"mini_smartbot"
	destructibility Frg_Minebot
	ai		swarm
	limit		30				// damage done
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_WALKING_MINE_GSH
