// defines a wall which has several stages of destructibility
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_WALL_MULTIFRAG_GSH
#define INCLUDED_WALL_MULTIFRAG_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

// demolished wall and second lot of frag bits

shape Shp_Fragwall_C
{
       file "objects\Fragwall C.rif"
       name "Fragwall C"
}

role Rol_Fragwall_C : Rol_PlacedObject
{
	shape			Shp_Fragwall_C
	identifier		"fragwall_c"
	ai blocker
}

hierarchy Hcy_Fragwall_Frag_B
{
	file	"objects\Fragwall frag B.rif"
	name	"Fragwall frag B"
	hotspot none
}

role Rol_Fragwall_Frag_B : Rol_PlacedObject
{
	shape			Hcy_Fragwall_Frag_B
	identifier		"fragwall_frag_B"
	frag control	yes
	hit test ignore yes
}

// damaged wall and first lot of frag bits

shape Shp_Fragwall_B
{
       file "objects\Fragwall B.rif"
       name "Fragwall B"
}

frag data Frg_Fragwall_B	// this creates Rol_Fragwall_C and frag bits
{
	role			Rol_Fragwall_Frag_B
	replace role	Rol_Fragwall_C
	replace 		yes					// get rid of the old wall
	scale			7
	symmetric		no
}

role Rol_Fragwall_B : Rol_PlacedObject
{
	shape			Shp_Fragwall_B
	identifier		"fragwall_b"
	destructibility	Frg_Fragwall_B
	armour			0
	ai blocker
}

hierarchy Hcy_Fragwall_Frag_A
{
	file	"objects\Fragwall frag A.rif"
	name	"Fragwall frag A"
	hotspot none
}

role Rol_Fragwall_Frag_A : Rol_PlacedObject
{
	shape			Hcy_Fragwall_Frag_A
	identifier		"fragwall_frag_A"
	frag control	yes
	hit test ignore yes
}

// the intact wall

shape Shp_Fragwall_A
{
       file "objects\Fragwall A.rif"
       name "Fragwall A"
}

frag data Frg_Fragwall_A	// this creates Rol_Fragwall_B and frag bits
{
	role			Rol_Fragwall_Frag_A
	replace role	Rol_Fragwall_B
	replace 		yes					// get rid of the old wall
	scale			10
	symmetric		no
}

role Rol_Fragwall_A : Rol_PlacedObject
{
	shape			Shp_Fragwall_A
	identifier		"fragwall_a"
	destructibility	Frg_Fragwall_A
	armour			0
	ai blocker
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_WALL_MULTIFRAG_GSH
