// defines a wall which has several stages of destructibility
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_WALLn_MULTIFRAG_GSH
#define INCLUDED_WALLn_MULTIFRAG_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

// demolished wall and second lot of frag bits




hierarchy Hcy_Fragwalln_Frag_B
{
	file	"objects\Fragwall narrow frag B.rif"
	name	"Fragwall narrow frag B"
	hotspot none
}

role Rol_Fragwalln_Frag_B : Rol_PlacedObject
{
	shape			Hcy_Fragwalln_Frag_B
	identifier		"fragwalln_frag_B"
	frag control	yes
	hit test ignore yes
}

// damaged wall and first lot of frag bits

shape Shp_Fragwalln_B
{
       file "objects\Fragwall narrow B.rif"
       name "Fragwall narrow B"
}

frag data Frg_Fragwalln_B	// this creates Rol_Fragwall_C and frag bits
{
	role			Rol_Fragwalln_Frag_B
	replace 		yes				// get rid of the old wall
	scale			7
	symmetric		no
}

role Rol_Fragwalln_B : Rol_PlacedObject
{
	shape			Shp_Fragwalln_B
	identifier		"fragwalln_b"
	destructibility	Frg_Fragwalln_B
	armour			0
	ai blocker
}

hierarchy Hcy_Fragwalln_Frag_A
{
	file	"objects\Fragwall narrow frag A.rif"
	name	"Fragwall narrow frag A"
	hotspot none
}

role Rol_Fragwalln_Frag_A : Rol_PlacedObject
{
	shape			Hcy_Fragwalln_Frag_A
	identifier		"fragwall_frag_A"
	frag control	yes
	hit test ignore yes
}

// the intact wall

shape Shp_Fragwalln_A
{
       file "objects\Fragwall narrow A.rif"
       name "Fragwall narrow A"
}

frag data Frg_Fragwalln_A	// this creates Rol_Fragwalln_B and frag bits
{
	role			Rol_Fragwalln_Frag_A
	replace role		Rol_Fragwalln_B
	replace 		yes					// get rid of the old wall
	scale			10
	symmetric		no
}

role Rol_Fragwalln_A : Rol_PlacedObject
{
	shape			Shp_Fragwalln_A
	identifier		"fragwalln_a"
	destructibility	Frg_Fragwalln_A
	armour			0
	ai blocker
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_WALLn_MULTIFRAG_GSH
