// defines WARFLASH robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_WARFLASH_GSH
#define INCLUDED_WARFLASH_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "grenade_launcher.gsh"
#include "defaults.gsh"

hierarchy Hcy_warflashfrag
{
	file	"units\warflashfrag.rif"
	name	"warflashfrag"
	hotspot none
}

role Rol_warflashfrag : Rol_FragObject
{
	shape			Hcy_warflashfrag
	identifier		"warflashfrag"
}

frag data Frg_warflashfrag
{
	role Rol_warflashfrag
	scale 4
	replace yes
}

hierarchy Hcy_warflash
{
	file "units\warflash.RIF"
	name "warflash"
	hotspot "Dum Flash"
	alternate hotspot "Dum Flash L"
}

/*hierarchy Hcy_Warflash_Shadow
{
	file "units\scarflash_shadow.RIF"
	name "scarflash"
}*/

character Chr_warflash : Chr_DefaultBaddie
{
	turning speed   0.75	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasma pistol
	strength        60	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	30	// in degrees
	sight range 	15	// in metres
	hearing range	12	// in metres
	aggression	1	// from 0 to 1
	radius		1	// used by the movement model
//	shadow hierarchy	Hcy_Warflash_Shadow
}

role Rol_warflash : Rol_DefaultRobot
{
	shape		Hcy_warflash

	character	Chr_warflash

	identifier	"warflash"
	
	destructibility	Frg_warflashfrag

	armour		2

	ai		bot
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_warflash_GSH